Index: bWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc.tf
===================================================================
--- /UsbWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc.tf	(revision 164)
+++ 	(revision )
@@ -1,57 +1,0 @@
-$ 
-$  TOPPERS/ASP Kernel
-$      Toyohashi Open Platform for Embedded Real-Time Systems/
-$      Advanced Standard Profile Kernel
-$ 
-$  Copyright (C) 2008-2010 by Witz Corporation, JAPAN
-$ 
-$  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
-$  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
-$  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
-$  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
-$       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
-$      XR[hÉÜÜêÄ¢é±ÆD
-$  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
-$      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
-$      Ì³ÛØKèðfÚ·é±ÆD
-$  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
-$      ÆD
-$    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
-$        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-$    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
-$        ñ·é±ÆD
-$  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
-$      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
-$      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
-$      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
-$      ÆÓ·é±ÆD
-$ 
-$  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
-$  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
-$  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
-$  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
-$  ÌÓCðíÈ¢D
-$ 
-$ 
-
-$ 
-$  ^[QbgË¶ev[giGR-SAKURApj
-$ 
-
-
-/*$NL$
-$SPC$*  Target-dependent Definitions (GR-SAKURA)$NL$
-$SPC$*/$NL$
-$NL$
-
-$ 
-$  RX630Ë¶ÌÇÝÝ
-$ 
-$INCLUDE "rx630_msvc/rx630.tf"$
-
Index: bWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc_echonet.tf
===================================================================
--- /UsbWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc_echonet.tf	(revision 164)
+++ 	(revision )
@@ -1,59 +1,0 @@
-$ 
-$  TOPPERS/ASP Kernel
-$      Toyohashi Open Platform for Embedded Real-Time Systems/
-$      Advanced Standard Profile Kernel
-$ 
-$  Copyright (C) 2008-2010 by Witz Corporation, JAPAN
-$ 
-$  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
-$  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
-$  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
-$  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
-$       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
-$      XR[hÉÜÜêÄ¢é±ÆD
-$  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
-$      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
-$      Ì³ÛØKèðfÚ·é±ÆD
-$  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
-$      ÆD
-$    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
-$        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-$    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
-$        ñ·é±ÆD
-$  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
-$      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
-$      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
-$      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
-$      ÆÓ·é±ÆD
-$ 
-$  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
-$  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
-$  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
-$  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
-$  ÌÓCðíÈ¢D
-$ 
-$ 
-
-$ 
-$  ^[QbgË¶ev[giGR-SAKURApj
-$ 
-
-
-/*$NL$
-$SPC$*  Target-dependent Definitions (GR-SAKURA)$NL$
-$SPC$*/$NL$
-$NL$
-
-$ 
-$  RX630Ë¶ÌÇÝÝ
-$ 
-$INCLUDE "rx630_msvc/rx630.tf"$
-
-$ ECHONET Lite~hEFATFt@CÌCN[h
-$INCLUDE "../../echonet/echonet.tf"$
Index: bWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc_ecnl_lwip.tf
===================================================================
--- /UsbWattMeter/trunk/asp_dcre/target/grsakura_ccrx/target_msvc_ecnl_lwip.tf	(revision 164)
+++ 	(revision )
@@ -1,59 +1,0 @@
-$ 
-$  TOPPERS/ASP Kernel
-$      Toyohashi Open Platform for Embedded Real-Time Systems/
-$      Advanced Standard Profile Kernel
-$ 
-$  Copyright (C) 2008-2010 by Witz Corporation, JAPAN
-$ 
-$  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
-$  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
-$  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
-$  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
-$       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
-$      XR[hÉÜÜêÄ¢é±ÆD
-$  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
-$      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
-$      Ì³ÛØKèðfÚ·é±ÆD
-$  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
-$      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
-$      ÆD
-$    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
-$        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-$    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
-$        ñ·é±ÆD
-$  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
-$      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
-$      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
-$      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
-$      ÆÓ·é±ÆD
-$ 
-$  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
-$  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
-$  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
-$  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
-$  ÌÓCðíÈ¢D
-$ 
-$ 
-
-$ 
-$  ^[QbgË¶ev[giGR-SAKURApj
-$ 
-
-
-/*$NL$
-$SPC$*  Target-dependent Definitions (GR-SAKURA)$NL$
-$SPC$*/$NL$
-$NL$
-
-$ 
-$  RX630Ë¶ÌÇÝÝ
-$ 
-$INCLUDE "rx630_msvc/rx630.tf"$
-
-$ ECHONET Lite~hEFATFt@CÌCN[h
-$INCLUDE "../../ecnl_lwip/echonet.tf"$
Index: bWattMeter/trunk/csp/libasp/asm_config.inc
===================================================================
--- /UsbWattMeter/trunk/csp/libasp/asm_config.inc	(revision 164)
+++ 	(revision )
@@ -1,15 +1,0 @@
-TIPM_LOCK 		 .equ 	 -15 
-IPL_LOCK 		 .equ 	 251658240 
-PSW_I_MASK 		 .equ 	 65536 
-PSW_IPL_MASK 		 .equ 	 251658240 
-EXC_GET_PSW_OFFSET 		 .equ 	 80 
-
-
-LOG_INH_ENTER_ENABLE 	 .equ 	 0 
-LOG_INH_LEAVE_ENABLE 	 .equ 	 0 
-LOG_EXC_ENTER_ENABLE 	 .equ 	 0 
-LOG_EXC_LEAVE_ENABLE 	 .equ 	 0 
-LOG_DSP_ENTER_ENABLE 	 .equ 	 0 
-LOG_DSP_LEAVE_ENABLE 	 .equ 	 0 
-SIL_DLY_TIM1 	 .equ 	 69 
-SIL_DLY_TIM2 	 .equ 	 50 