Index: UsbWattMeter/trunk/Readme.txt
===================================================================
--- UsbWattMeter/trunk/Readme.txt	(revision 166)
+++ UsbWattMeter/trunk/Readme.txt	(revision 166)
@@ -0,0 +1,89 @@
+¡¡USB[dídÍv¡¡
+http://dev.toppers.jp/trac_user/contrib/wiki/UsbWattMeter
+
+USB[dídÍvÍAECHONET Lite ÊM~hEFATOPPERS/ECNLÌTvE
+AvP[VÅ·BRZvgER[hÅ èAÀpIÉgp·éêÍ\ªÈ
+±ªKvÅ·B
+
+GR-SAKURAÉECHONET LiteÌdÍvðUÂÀµAAiOPINO`TÌÅåüÍð
+2.4AÆµÄvªµÄ¢Ü·Bd³Í5VÅèÅdÍðZoµÄ¢Ü·B
+Ü½HTTPSNCAg@\ð¿AèúIÉvªlÌððPOSTµÜ·B
+NCES TRAINING BOARDihttp://miconboard.thebase.in/items/409183jðgpµ½êA
+7ZOÉAiOPINO`VÌulðQb²ÆÉØèÖ¦Ä\¦µÄ¢éÌª©¦Ü·B
+
+¡\tgEFAÉÂ¢Ä¡
+
+¢­Â©ÌI[v\[XðpµÄ¢Ü·ÌÅAe\tgEFAÌCZXÉ
+]ÁÄ­¾³¢B
+
+ETOPPERS/ASP 1.9.2 ®I¶¬Å
+@@https://www.toppers.jp/asp-kernel.html
+@@TOPPERSCZX
+@@RTOS
+ETOPPERS/ECNL lwIPÎÀÅ
+@@https://www.toppers.jp/ecnl.html
+@@TOPPERSCZX
+@@ECHONET LiteÊM~hEFA
+EFatFS R0.10b
+@@http://elm-chan.org/fsw/ff/00index_j.html
+@@BSDCNÈCZX
+@@SDJ[hpt@CVXe
+ElwIP 1.4.1
+@@http://savannah.nongnu.org/projects/lwip/
+@@BSD-style license
+@@TCP/IPvgRX^bNADHCPNCAgADNSNCAgA
+@@IGMPNCAgASNTPNCAg
+ETLSF 3.0
+@@http://tlsf.baisoku.org/
+@@public domain
+@@AP[^[
+EWolfSSL 3.7.0
+@@http://www.wolfssl.jp/wolfsite/
+@@GPLv2 or ¤p
+@@SSL/TLSCu
+Elibcurl 7.47.1
+@@https://curl.haxx.se/libcurl/
+@@MIT/X derivate license
+@@HTTP/HTTPSNCAg
+Emusl libc
+@@http://www.musl-libc.org/
+@@permissive MIT license
+@@timeÖÆgmtimeÖ
+
+¦³mÈCZXÍA»ê¼êÌñTCgÅmFµÄ­¾³¢B
+
+lwIPÌASPÎÅÍAuæ3ñ TOPPERSpACfAEAvP[VJ­ReXgv
+ÌóÜìA¼Yõm³ñÌulwIP ÌÚAvðx[XÉ³¹Ä¢½¾«Üµ½B
+
+»ê¼êÌI[v\[XñÒÉ´Ó¢½µÜ·B
+
+¡rhû@¡
+
+RpC/rhÉÍACubeSuite+ªKvÅ·B
+TCY§ÀÌ é³ÅÅÍrhÅ«Ü¹ñB
+csptH_ÌºÉÈºÌtH_ª èA»ÌÉCubeSuite+ÌvWFNgª èÜ·B
+
+Ecsp/libasp/libasp.mtpj	TOPPERS/ASPÌCu
+Ecsp/liblwip/liblwip.mtpj	lwIPÌCu
+Ecsp/libwolfssl/libwolfssl.mtpj	WolfSSLÌCu
+Ecsp/libcurl/libcurl.mtpj	libcurlÌCu
+Ecsp/usb_watt_meter/usb_watt_meter.mtpj	USB[dídÍvÌvO
+
+ÉrhµÄA
+usb_watt_meter/DefaultBuild/usb_watt_meter.mot
+ªÀsvOÉÈèÜ·B
+
+¡Ó¡
+
+EHTTPSÌPOSTð·ÉÍSDJ[hªKvÅ·Bðt@Cð¼ºÌlogtH_ÌÉ
+@ì¬µA»Ìt@CðPOSTµÜ·B
+EÜ½Aðt@Cðó¯æéWebT[o[àKvÅ·B
+EJSON`®Å«oµÄ¢Ü·ªA±êð·éT[o[Ì¨è{ª éí¯ÅÍ
+@ èÜ¹ñB
+ET[o[Í¼ÌURLÆµÄuwww.example.comvÆÈÁÄ¢Ü·ÌÅAÏXµÄ­¾³¢B
+Eðæ¾·é½ßÉSNTPNCAgª®¢Ä¢Ü·ªAlwIPÅñ³êÄ¢éÜÜÌ
+@NTPT[o[AhXÅ·ÌÅAÏXµÄ­¾³¢B
+ElibcurlÌmprintf.cÉ édprintf_formatfÖÍAX^bNðåÊÉgpµÄ
+@¢½ÌÅAFatFsÌTvÉ éfprintfðpµÄãÖ¦ðsÁÄ¢Ü·B
+@ÊMd¶Ì¶ñª³µ­tH[}bg³êÈ¢Â\«ª èÜ·ÌÅAÓªKvÅ·B
+