Index: UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.c
===================================================================
--- UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.c	(revision 164)
+++ UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.c	(revision 167)
@@ -8,36 +8,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
- *  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
- *  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
- *      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
- *      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
- *      ÆÓ·é±ÆD
- * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
- *  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
- *  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
- *  ÌÓCðíÈ¢D
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -45,5 +41,5 @@
 
 /*
- *		g[XO@\
+ *		トレースログ機能
  */
 
@@ -54,14 +50,14 @@
 
 /*
- *  g[XOobt@Æ»êÉANZX·é½ßÌ|C^
- */
-SYSLOG	trace_buffer[TCNT_TRACE_BUFFER];	/* g[XOobt@ */
-uint_t	trace_count;				/* g[XOobt@ÌOÌ */
-uint_t	trace_head;					/* æªÌg[XOÌi[Êu */
-uint_t	trace_tail;					/* Ìg[XOÌi[Êu */
-MODE	trace_mode;					/* g[X[h */
-
-/*
- *  g[XO@\Ìú»
+ *  トレースログバッファとそれにアクセスするためのポインタ
+ */
+SYSLOG	trace_buffer[TCNT_TRACE_BUFFER];	/* トレースログバッファ */
+uint_t	trace_count;				/* トレースログバッファ中のログの数 */
+uint_t	trace_head;					/* 先頭のトレースログの格納位置 */
+uint_t	trace_tail;					/* 次のトレースログの格納位置 */
+MODE	trace_mode;					/* トレースモード */
+
+/*
+ *  トレースログ機能の初期化
  */
 void
@@ -77,5 +73,5 @@
 
 /*
- *  g[XOÌJn
+ *  トレースログの開始
  */
 ER
@@ -92,5 +88,5 @@
 
 /* 
- *  g[XOÌÝ
+ *  トレースログの書込み
  */
 ER
@@ -103,14 +99,14 @@
 
 		/*
-		 *  g[XÌÝè
+		 *  トレース時刻の設定
 		 *
-		 *  LOG_WRI_LOG_ENTER©çÄÎê½êÉp_trace->logtimð«·
-		 *  ¦ÄµÜ¤ÌÍC¿ª«¢ªCwri_logÌûÅã«·é½ßâ
-		 *  èÍÈ¢D
+		 *  LOG_WRI_LOG_ENTERから呼ばれた場合にp_trace->logtimを書き換
+		 *  えてしまうのは気持ちが悪いが，wri_logの方で上書きするため問
+		 *  題はない．
 		 */
 		p_trace->logtim = TRACE_GET_TIM();
 
 		/*
-		 *  g[Xobt@ÉL^
+		 *  トレースバッファに記録
 		 */
 		trace_buffer[trace_tail] = *p_trace;
@@ -136,5 +132,5 @@
 
 /*
- *  g[XOÌÇoµ
+ *  トレースログの読出し
  */
 ER
@@ -147,5 +143,5 @@
 
 	/*
-	 *  g[XOobt@©çÌæoµ
+	 *  トレースログバッファからの取出し
 	 */
 	if (trace_count > 0U) {
@@ -167,5 +163,5 @@
 
 /*
- *  g[XOðoÍ·é½ßÌCuÖ
+ *  トレースログを出力するためのライブラリ関数
  */
 
@@ -213,6 +209,6 @@
 
 /*
- *  AZu¾êÅLq³êéR[h©çg[XOðoÍ·é½ßÌÖ
- *  
+ *  アセンブリ言語で記述されるコードからトレースログを出力するための関
+ *  数
  */
 
Index: UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.h
===================================================================
--- UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.h	(revision 164)
+++ UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_config.h	(revision 167)
@@ -8,36 +8,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
- *  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
- *  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
- *      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
- *      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
- *      ÆÓ·é±ÆD
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
- *  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
- *  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
- *  ÌÓCðíÈ¢D
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -45,10 +41,10 @@
 
 /*
- *		g[XOÉÖ·éÝè
+ *		トレースログに関する設定
  *
- *  ±ÌCN[ht@CÍCtarget_config.h¨æÑtarget_syssvc.hÌ
- *  Ý©çCN[h³êéDÜ½Cg[XO@\Ìú»âL^ÌJ
- *  n^â~Cg[XOÌ_vðs¤vO©çCN[h·é
- *  ±ÆðzèµÄ¢éD
+ *  このインクルードファイルは，target_config.hおよびtarget_syssvc.hの
+ *  みからインクルードされる．また，トレースログ機能の初期化や記録の開
+ *  始／停止，トレースログのダンプを行うプログラムからインクルードする
+ *  ことを想定している．
  */
 
@@ -57,5 +53,5 @@
 
 /*
- *  g[XOobt@ÌTCY
+ *  トレースログバッファのサイズ
  */
 #ifndef TCNT_TRACE_BUFFER
@@ -64,5 +60,5 @@
 
 /*
- *  g[XÌæ¾û@
+ *  トレース時刻の取得方法
  */
 #ifndef TRACE_GET_TIM
@@ -73,7 +69,7 @@
 
 /*
- *  g[XOÌf[^\¢
+ *  トレースログのデータ構造
  *
- *  VXeO@\ÌOîñÌf[^\¢Æ¯¶àÌðp¢éD
+ *  システムログ機能のログ情報のデータ構造と同じものを用いる．
  */
 #include <t_syslog.h>
@@ -81,70 +77,70 @@
 
 /*
- *  g[XOobt@Æ»êÉANZX·é½ßÌ|C^
+ *  トレースログバッファとそれにアクセスするためのポインタ
  */
-extern TRACE	trace_buffer[];		/* g[XOobt@ */
-extern uint_t	trace_count;		/* g[XOobt@ÌOÌ */
-extern uint_t	trace_head;			/* æªÌg[XOÌi[Êu */
-extern uint_t	trace_tail;			/* Ìg[XOÌi[Êu */
-extern uint_t	trace_lost;			/* ¸íê½g[XÌ */
+extern TRACE	trace_buffer[];		/* トレースログバッファ */
+extern uint_t	trace_count;		/* トレースログバッファ中のログの数 */
+extern uint_t	trace_head;			/* 先頭のトレースログの格納位置 */
+extern uint_t	trace_tail;			/* 次のトレースログの格納位置 */
+extern uint_t	trace_lost;			/* 失われたトレースの数 */
 
 #endif /* TOPPERS_MACRO_ONLY */
 
 /*
- *  g[X[hÌè`
+ *  トレースモードの定義
  */
-#define TRACE_STOP			UINT_C(0x00)	/* g[Xâ~ */
-#define TRACE_RINGBUF		UINT_C(0x01)	/* Oobt@[h */
-#define TRACE_AUTOSTOP		UINT_C(0x02)	/* ©®â~[h */
-#define TRACE_CLEAR			UINT_C(0x04)	/* g[XOÌNA */
+#define TRACE_STOP			UINT_C(0x00)	/* トレース停止 */
+#define TRACE_RINGBUF		UINT_C(0x01)	/* リングバッファモード */
+#define TRACE_AUTOSTOP		UINT_C(0x02)	/* 自動停止モード */
+#define TRACE_CLEAR			UINT_C(0x04)	/* トレースログのクリア */
 
 #ifndef TOPPERS_MACRO_ONLY
 
 /*
- *  g[XO@\Ìú»
+ *  トレースログ機能の初期化
  *
- *  g[XO@\ðú»·éDú»[`ÆµÄo^·é±Æðz
- *  èµÄ¢éDøÉæèÌ®ìðs¤D
+ *  トレースログ機能を初期化する．初期化ルーチンとして登録することを想
+ *  定している．引数により次の動作を行う．
  *
- *  TRACE_STOPFú»ÌÝÅg[XÍJnµÈ¢D
- *  TRACE_RINGBUFFOobt@[hÅg[XðJnD
- *  TRACE_AUTOSTOPF©®â~[hÅg[XðJnD
+ *  TRACE_STOP：初期化のみでトレースは開始しない．
+ *  TRACE_RINGBUF：リングバッファモードでトレースを開始．
+ *  TRACE_AUTOSTOP：自動停止モードでトレースを開始．
  */
 extern void	trace_initialize(intptr_t exinf);
 
 /*
- *  g[XOÌJn
+ *  トレースログの開始
  *
- *  g[XOÌL^ðJn^â~·éDøÉæèÌ®ìðs¤D
+ *  トレースログの記録を開始／停止する．引数により次の動作を行う．
  *
- *  TRACE_STOPFg[Xðâ~D
- *  TRACE_RINGBUFFOobt@[hÅg[XðJnD
- *  TRACE_AUTOSTOPF©®â~[hÅg[XðJnD
- *  TRACE_CLEARFg[XOðNAD
+ *  TRACE_STOP：トレースを停止．
+ *  TRACE_RINGBUF：リングバッファモードでトレースを開始．
+ *  TRACE_AUTOSTOP：自動停止モードでトレースを開始．
+ *  TRACE_CLEAR：トレースログをクリア．
  */
 extern ER	trace_sta_log(MODE mode);
 
 /*
- *  g[XOÌÝ
+ *  トレースログの書込み
  */
 extern ER	trace_wri_log(TRACE *p_trace);
 
 /*
- *  g[XOÌÇoµ
+ *  トレースログの読出し
  */
 extern ER	trace_rea_log(TRACE *p_trace);
 
 /* 
- *  g[XOÌ_vitrace_dump.cj
+ *  トレースログのダンプ（trace_dump.c）
  *
- *  g[XOð_v·éDI¹[`ÆµÄo^·é±Æàzè
- *  µÄ¢éDøÆµÄC_væÆÈé¶oÍÖÖÌ|C^ðn·D
- *  ^[QbgË¶Ìáx¶oÍðp·éêÉÍCtarget_putcðn
- *  ·D
+ *  トレースログをダンプする．終了処理ルーチンとして登録することも想定
+ *  している．引数として，ダンプ先となる文字出力関数へのポインタを渡す．
+ *  ターゲット依存の低レベル文字出力を利用する場合には，target_putcを渡
+ *  す．
  */
 extern void	trace_dump(intptr_t exinf);
 
 /*
- *  g[XOðoÍ·é½ßÌCuÖ
+ *  トレースログを出力するためのライブラリ関数
  */
 extern void	trace_write_0(uint_t type);
@@ -155,5 +151,5 @@
 
 /*
- *  g[XOðoÍ·é½ßÌ}N
+ *  トレースログを出力するためのマクロ
  */
 
@@ -174,5 +170,5 @@
 
 /*
- *  g[XOû@ÌÝè
+ *  トレースログ方法の設定
  */
 #define LOG_TSKSTAT(p_tcb)		trace_2(LOG_TYPE_TSKSTAT, p_tcb, p_tcb->tstat)
Index: UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_dump.c
===================================================================
--- UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_dump.c	(revision 164)
+++ UsbWattMeter/trunk/asp_dcre/arch/logtrace/trace_dump.c	(revision 167)
@@ -6,36 +6,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ãLì ÒÍCÈºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEF
- *  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»Eü
- *  ÏEÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
- *      Ü½C{\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©Èé
- *      RÉîÃ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgð
- *      ÆÓ·é±ÆD
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚI
- *  ÉÎ·éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEF
- *  AÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»
- *  ÌÓCðíÈ¢D
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -43,5 +39,5 @@
 
 /*
- *		g[XOÌ_v
+ *		トレースログのダンプ
  */
 
@@ -51,5 +47,5 @@
 
 /* 
- *  J[lîñÌæoµ
+ *  カーネル情報の取出し
  */
 static intptr_t
@@ -100,5 +96,5 @@
 
 /* 
- *  g[XOÌ\¦
+ *  トレースログの表示
  */
 static void
@@ -144,5 +140,5 @@
 
 /* 
- *  g[XOÌ_v
+ *  トレースログのダンプ
  */
 void