Index: UsbWattMeter/trunk/csp/libasp/cfg/cfg.mtsp
===================================================================
--- UsbWattMeter/trunk/csp/libasp/cfg/cfg.mtsp	(revision 167)
+++ UsbWattMeter/trunk/csp/libasp/cfg/cfg.mtsp	(revision 168)
@@ -160,10 +160,10 @@
       <FormatBuildOptionList-0>%TargetFiles% : %Program% %Options%</FormatBuildOptionList-0>
       <PreBuildCommands-0>if exist "%OutputDir%\%ProjectName%.syms" del "%OutputDir%\%ProjectName%.syms"
-..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 1 --kernel asp_dcre --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\target\grsakura_ccrx ..\dummy.cfg
+..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 1 --kernel asp --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\target\grsakura_ccrx ..\dummy.cfg
 </PreBuildCommands-0>
       <PostBuildCommands-0>..\..\..\asp_dcre\arch\ccrx\gensyms.exe "%OutputDir%\%ProjectName%.map"
 %WinDir%\cscript //Nologo ..\..\tools\update.js "%OutputDir%\%ProjectName%.mot" cfg1_out.srec
-..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 2 --kernel asp_dcre --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target.tf ..\dummy.cfg
-..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 3 --kernel asp_dcre --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target_offset.tf --rom-image cfg1_out.srec --symbol-table cfg1_out.syms ..\dummy.cfg
+..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target.tf ..\dummy.cfg
+..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 3 --kernel asp --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target_offset.tf --rom-image cfg1_out.srec --symbol-table cfg1_out.syms ..\dummy.cfg
 %WinDir%\cscript //Nologo ..\..\tools\DefToEqu.js offset.h offset.inc
 %WinDir%\cscript //Nologo ..\..\tools\cmp_update.js kernel_cfg.c ..\kernel_cfg.c
Index: UsbWattMeter/trunk/csp/usb_watt_meter/cfg/cfg.mtsp
===================================================================
--- UsbWattMeter/trunk/csp/usb_watt_meter/cfg/cfg.mtsp	(revision 167)
+++ UsbWattMeter/trunk/csp/usb_watt_meter/cfg/cfg.mtsp	(revision 168)
@@ -157,9 +157,9 @@
       <FormatBuildOptionList-0>%TargetFiles% : %Program% %Options%</FormatBuildOptionList-0>
       <PreBuildCommands-0>if exist "%OutputDir%\%ProjectName%.syms" del "%OutputDir%\%ProjectName%.syms"
-..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 1 --kernel asp_dcre --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --api-table ..\..\..\ecnl_lwip\echonet_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv --cfg1-def-table ..\..\..\ecnl_lwip\echonet_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx -I ..\..\..\ecnl_lwip -I ..\..\..\fatfs -I ..\..\..\lwip-1.4.1\ports\asp_dcre -I ..\..\..\lwip-1.4.1\ports\grsakura -I "%MainProjectDir%" ..\..\..\src\%MainProjectName%\main.cfg
+..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 1 --kernel asp --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --api-table ..\..\..\ecnl_lwip\echonet_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv --cfg1-def-table ..\..\..\ecnl_lwip\echonet_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx -I ..\..\..\ecnl_lwip -I ..\..\..\fatfs -I ..\..\..\lwip-1.4.1\ports\asp_dcre -I ..\..\..\lwip-1.4.1\ports\grsakura -I "%MainProjectDir%" ..\..\..\src\%MainProjectName%\main.cfg
 </PreBuildCommands-0>
       <PostBuildCommands-0>..\..\..\asp_dcre\arch\ccrx\gensyms.exe "%OutputDir%\%ProjectName%.map"
 %WinDir%\cscript //Nologo ..\..\tools\update.js "%OutputDir%\%ProjectName%.mot" cfg1_out.srec
-..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 2 --kernel asp_dcre --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --api-table ..\..\..\ecnl_lwip\echonet_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv --cfg1-def-table ..\..\..\ecnl_lwip\echonet_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx -I ..\..\..\ecnl_lwip -I ..\..\..\fatfs -I ..\..\..\lwip-1.4.1\ports\asp_dcre -I ..\..\..\lwip-1.4.1\ports\grsakura -I "%MainProjectDir%" --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target_ccrx_ecnl_lwip.tf ..\..\..\src\%MainProjectName%\main.cfg
+..\..\..\asp_dcre\cfg\cfg\cfg.exe --pass 2 --kernel asp --api-table ..\..\..\asp_dcre\kernel\kernel_api.csv --api-table ..\..\..\ecnl_lwip\echonet_api.csv --cfg1-def-table ..\..\..\asp_dcre\kernel\kernel_def.csv --cfg1-def-table ..\..\..\asp_dcre\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\asp_dcre\target\grsakura_ccrx\target_def.csv --cfg1-def-table ..\..\..\ecnl_lwip\echonet_def.csv -I ..\..\..\asp_dcre -I ..\..\..\asp_dcre\arch -I ..\..\..\asp_dcre\arch\rx630_ccrx -I ..\..\..\asp_dcre\include -I ..\..\..\asp_dcre\kernel -I ..\..\..\asp_dcre\target\grsakura_ccrx -I ..\..\..\ecnl_lwip -I ..\..\..\fatfs -I ..\..\..\lwip-1.4.1\ports\asp_dcre -I ..\..\..\lwip-1.4.1\ports\grsakura -I "%MainProjectDir%" --template-file ..\..\..\asp_dcre\target\grsakura_ccrx\target_ccrx_ecnl_lwip.tf ..\..\..\src\%MainProjectName%\main.cfg
 %WinDir%\cscript //Nologo ..\..\tools\cmp_update.js kernel_cfg.c ..\kernel_cfg.c
 %WinDir%\cscript //Nologo ..\..\tools\cmp_update.js kernel_cfg.h ..\kernel_cfg.h